package at.petrak.hexcasting.common.items.colorizer;

import at.petrak.hexcasting.api.addldata.Colorizer;
import at.petrak.hexcasting.api.item.ColorizerItem;
import java.util.UUID;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.phys.Vec3;

// only german for joke reasons!

public class GegenstandDeutschlandFaerber extends Item implements ColorizerItem {
    public static final int[] FARBEN = new int[] {
        0xffde0000,
        0xffffffff,
        0xff000000,
    };

    public GegenstandDeutschlandFaerber(Properties eigenschaften) {
        super(eigenschaften);
    }

    @Override
    public int color(ItemStack stapel, UUID eigentuemer, float zeit, Vec3 position) {
        return Colorizer.morphBetweenColors(
            FARBEN, new Vec3(0.1, 0.1, 0.1), zeit / 20 / 20, position
        );
    }
}
